https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/refundsRefunds a payment that has been captured, and returns a unique reference for this request. You get the outcome of the request asynchronously, in a **REFUND** webhook. You can refund either the full captured amount or a part of the captured amount. You can also perform multiple partial refunds, as long as their sum doesn't exceed the captured amount. > Some payment methods do not support partial refunds. To learn if a payment method supports partial refunds, refer to the payment method page such as cards, iDEAL, or Klarna. If you want to refund a payment but are not sure whether it has been captured, use the `/payments/{paymentPspReference}/reversals` endpoint instead. For more information, refer to Refund.
The [`pspReference`](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments#responses-200-pspReference) of the payment that you want to refund.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/refunds' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/refundsRefunds a payment that has been captured, and returns a unique reference for this request. You get the outcome of the request asynchronously, in a **REFUND** webhook. You can refund either the full captured amount or a part of the captured amount. You can also perform multiple partial refunds, as long as their sum doesn't exceed the captured amount. > Some payment methods do not support partial refunds. To learn if a payment method supports partial refunds, refer to the payment method page such as cards, iDEAL, or Klarna. If you want to refund a payment but are not sure whether it has been captured, use the `/payments/{paymentPspReference}/reversals` endpoint instead. For more information, refer to Refund.
The [`pspReference`](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments#responses-200-pspReference) of the payment that you want to refund.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/refunds' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}